You are not logged in.

#1 2020-03-16 20:51:44

stefano
Member
Registered: 2011-04-09
Posts: 158

[SOLVED] How to install an older version of Bazel?

I am trying to build a software tool that requires bazel <= 0.21 (there are no available AUR packages) . The current version of bazel in the repos is 0.22 and building fails.

I removed bazel, then checked out its asp repo and looked for older versions, but I cannot see any:

$ > asp checkout bazel
$ > cd bazel
$ > git pull
$ > git branch -a
* community/packages/bazel
  remotes/origin/community/packages/bazel
$ > git tag  -l
[Nothing]

What am I doing wrong?

Last edited by stefano (2020-03-16 21:46:36)

Offline

#2 2020-03-16 20:58:39

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,514
Website

Re: [SOLVED] How to install an older version of Bazel?

The Arch svn2git repos don't have tags. Check `git log` instead.

Mod note: Moving to Creating and Modifying packages.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2020-03-16 21:03:45

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,159

Re: [SOLVED] How to install an older version of Bazel?

Use git log instead of git tag -l... there are no tags, this is auto-exported from subversion.

EDIT: ninjaed...

Last edited by eschwartz (2020-03-16 21:04:06)


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#4 2020-03-16 21:45:59

stefano
Member
Registered: 2011-04-09
Posts: 158

Re: [SOLVED] How to install an older version of Bazel?

That worked...

Offline

Board footer

Powered by FluxBB